#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N;
    cin >> N;
    pair<double, int> pair1[N];
    for(int i = 0; i < N; i++)
    {
        int A;
        double P;
        cin >> A >> P;
        pair1[i] = make_pair(P,A);
    }
    int n = sizeof(pair1) / sizeof(pair1[0]);
    sort(pair1, pair1 + n);
    int suma = 0;
    double resenje = 0;
    for (int i = n-1 ; i >= 0 ; i--)
    {
        suma += pair1[i].second;
        if (suma/pair1[i].first > resenje)
        {
            resenje = suma/pair1[i].first;
        }
    }
    cout << resenje;
}